#include "shot.h"
	
const double ShotHeight = 3.0;
const double ShotStrafeSpeed = 0.1;

void Shot::render()
{
	// Textured quad with transparency.
	float leftx = location.x - radius;
	float rightx = location.x + radius;
	float bottomy = location.y - radius;
	float topy = location.y + radius;
	manager.rm.bombtexture.Bind();
	// manager.rm.explosiontexture.Bind();
	
	glDisable(GL_LIGHTING);
	glEnable(GL_BLEND);
	glEnable(GL_TEXTURE_2D);
        glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
	glColor3f(1,1,1);
	glBegin(GL_QUADS);
	glTexCoord2f(0,1);
	glVertex3f(leftx, bottomy, location.z);
	glTexCoord2f(1,1);
	glVertex3f(rightx,bottomy,location.z);
	glTexCoord2f(1,0);
	glVertex3f(rightx,topy,location.z);
	glTexCoord2f(0,0);
	glVertex3f(leftx,topy,location.z);
	glEnd();
}

void Shot::runLogic()
{
	if (owner != 0) {
		if (owner->isDead()) {
			owner = 0;
		}
	}
	lifeTimer --;
	if (lifeTimer <= 0) {
		dead = true;
	}
	location = location + velocity;
	if (location.z < ShotHeight) {
		location.z += ShotStrafeSpeed;
	}
	checkBounds();
}
void Shot::handleCollision(GameObject *other)
{
	// Check whether it's our owner. If not,
	if (other == owner) return;
	// If not, cause damage.
	other->takeDamage(damage);
	dead = true;
}


